<?php

namespace App\Repos\System\Settings\Legal;

class MarriageRepo
{
    public const MARRIED = 'married';

    public const LEGAL_MARRIAGE = 'legal_marriage';

    public const DIVORCED = 'divorced';

    public const WIDOW = 'WIDOW';

    public const SINGLE = 'single';

    /**
     * Marriage values
     */
    public static function values(): array
    {
        return [
            self::MARRIED => __('Married'),
            self::LEGAL_MARRIAGE => __('Legal Marriage'),
            self::DIVORCED => __('Divorced'),
            self::WIDOW => __('Widow'),
            self::SINGLE => __('Single'),
        ];
    }

    /**
     * Default marriage value
     */
    public static function default(): string
    {
        return self::MARRIED;
    }
}
